Subject: [Hipsec] draft-ietf-hip-native-api-04 issues [3/3]: Summary of new definitions.

From: YOSHIFUJI Hideaki / 吉藤英明<[email-masked]>
Date: Wed, 07 May 2008 17:49:05 +0900 (JST)

Hello.

Several issues in draft-ietf-hip-native-api-04 Section 5.

   Table 4 summarizes the new macro and structures defined in this
   document.

             +-----------------+-----------------------------+
             | Header          | Definition                  |
             +-----------------+-----------------------------+
             | <sys/socket.h>  | PF_HIP                      |
             | <sys/socket.h>  | AF_HIP                      |
             | <netinet/in.h>  | IPPROTO_HIP                 |
             | <netinet/hip.h> | HIP_HIT_ANY                 |
             | <netinet/hip.h> | HIP_HIT_ANY_PUB             |
             | <netinet/hip.h> | HIP_HIT_ANY_TMP             |
             | <netinet/hip.h> | HIP_ADDR_ANY                |
             | <netinet/hip.h> | HIP_HIT_PREFERENCES         |
             | <netinet/hip.h> | hip_hit_t                   |
             | <netdb.h>       | HIP_PREFER_ORCHID           |
             | <netdb.h>       | HIP_PREFER_SRC_TMP          |
             | <netdb.h>       | HIP_PREFER_SRC_PUBLIC       |
             | <netdb.h>       | HIP_PREFER_PASSIVE_HIT_TMP  |
             | <netdb.h>       | HIP_PREFER_PASSIVE_HIT_PUB  |
             | <netdb.h>       | HIP_PREFER_PASSIVE_HIT_ANY  |
             | <netdb.h>       | HIP_PREFER_PASSIVE_ADDR_ANY |
             | <netinet/in.h>  | sockaddr_hip                |
             | <netinet/in.h>  | sockaddr_is_srcaddr         |
             +-----------------+-----------------------------+

sockaddr_hip{} is defined in netinet/in.h, while hip_hit_t is defined
in netinet/hip.h.  So, netinet/in.h needs to include netinet/hip.h
not to break existing applications.

Why not move all definitions in netinet/hip.h into netinet/in.h?
Or, move sockaddr_hip{} and sockaddr_is_srcaddr() to netinet/hip.h.

-- 
YOSHIFUJI Hideaki @ USAGI Project  <[email-masked]>
GPG-FP  : 9022 65EB 1ECF 3AD1 0BDF  80D8 4807 F894 E062 0EEA
_______________________________________________
Hipsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/hipsec